tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Len Popp" <len.p...@gmail.com>
Subject Re: Is it possible to install both TOMCAT5.5 & TOMCAT6?
Date Fri, 02 Jan 2009 18:05:55 GMT
The problem is that the Tomcat 5.5 and 6.0 installers are both using
the same "display name" for the service ("Apache Tomcat"), and Windows
doesn't allow that.

You can install the service correctly using service.bat in Tomcat's
bin directory.
1. Install one version of Tomcat (let's say 5.5). The service should
run correctly.
2. Install the other version of Tomcat (6.0). Ignore the error message
about the service.
3. Open a command window and cd to the Tomcat 6.0 bin directory. Run
"service.bat install Tomcat6". This will install the service with a
different display name so it doesn't collide with the Tomcat 5.5
service.

Note: service.bat might be missing if you installed Tomcat using the
.exe installer. (I know some files are missing but I forget if
service.bat is one of them.) If so, download the Tomcat .zip distro
and copy the missing .bat files into your Tomcat's bin directory.
-- 
Len



On Fri, Jan 2, 2009 at 08:41, gen <gen@bud.co.jp> wrote:
> Hi,
>
>
>
> The error windows shown as,
>
>
>
> Failed to install Tomcat5 service.
>
> Check your setting and permissions.
>
> Ignore and continue anyway (not recommended)?
>
>
>
> Thanks
>
>
>
>  _____
>
> From: gen [mailto:gen@bud.co.jp]
> Sent: Friday, January 02, 2009 10:34 PM
> To: 'Tomcat Users List'
> Subject: RE: Is it possible to install both TOMCAT5.5 & TOMCAT6?
>
>
>
> Hi,
>
>
>
> I download apache-tomcat-5.5.27.exe and just run it.
>
> And it just gives me the following error window.
>
> # I already had Tomcat6 installed.
>
>
>
>
>
>
>
> Thanks
>
>
>
>> -----Original Message-----
>
>> From: Ken Bowen [mailto:kbowen@als.com]
>
>> Sent: Friday, January 02, 2009 10:22 PM
>
>> To: Tomcat Users List
>
>> Subject: Re: Is it possible to install both TOMCAT5.5 & TOMCAT6?
>
>>
>
>> How are you installing?
>
>> If you download the zip files for 5.5 and 6 from http://tomcat.apache.org/
>
>> , and unzip them in separate folders, then
>
>> each can immediately be started directly using startup.bat in the bin
>
>> of the respective installations, and will run properly.
>
>> Dev environments such as Eclipse will support having multiple Tomcats
>
>> installed like this: after telling Eclipse about the
>
>> two installations, one simply chooses which to run from a menu.
>
>>
>
>> On Jan 2, 2009, at 7:57 AM, gen wrote:
>
>>
>
>> >
>
>> > Hi,
>
>> >
>
>> > I use Win XP professional. SP2.
>
>> >
>
>> > Thanks
>
>> >
>
>> >> -----Original Message-----
>
>> >> From: Ghufran [mailto:ghufran.a@vopium.com]
>
>> >> Sent: Friday, January 02, 2009 9:57 PM
>
>> >> To: 'Tomcat Users List'
>
>> >> Subject: RE: Is it possible to install both TOMCAT5.5 & TOMCAT6?
>
>> >>
>
>> >> What is the OS ?
>
>> >>
>
>> >> -----Original Message-----
>
>> >> From: gen [mailto:gen@bud.co.jp]
>
>> >> Sent: Friday, January 02, 2009 5:49 PM
>
>> >> To: 'Tomcat Users List'
>
>> >> Subject: RE: Is it possible to install both TOMCAT5.5 & TOMCAT6?
>
>> >>
>
>> >> Hi,
>
>> >>
>
>> >> Thanks for all of your early reply.
>
>> >>
>
>> >> To run only one server at a time is OK, but my problem is that I
>
>> >> fail to
>
>> >> install 5.5 after I installed 6.
>
>> >> Do you mean that I have to ignore the error and just installed 5.5?
>
>> >> # in this case only 6.0 got a service installed.
>
>> >>
>
>> >> Regards
>
>> >>
>
>> >>> -----Original Message-----
>
>> >>> From: William Bonnet [mailto:william@wbonnet.net]
>
>> >>> Sent: Friday, January 02, 2009 9:31 PM
>
>> >>> To: Tomcat Users List
>
>> >>> Subject: Re: Is it possible to install both TOMCAT5.5 & TOMCAT6?
>
>> >>>
>
>> >>> Hi Gen
>
>> >>>
>
>> >>> You ca as look as they do not use the same port (8080 can be used
>
>> >>> only
>
>> >>> by one server at a time)
>
>> >>>
>
>> >>> regards
>
>> >>> W.
>
>> >>> gen a écrit :
>
>> >>>> Hi,
>
>> >>>>
>
>> >>>> Is it possible to install both TOMCAT5.5 & TOMCAT6 in 1 PC?
>
>> >>>>
>
>> >>>> I had installed Tomcat6. And I need to install TOMCAT 5.5 for
>
>> >>>> another
>
>> >>>> system. So I like to install my developing environment for both.
>
>> >>>> But I
>
>> >>>> failed when install 5.5. And I succeed to install 5.5 if I
>
>> > un-installed
>
>> >> 6.0
>
>> >>>> 1st.
>
>> >>>>
>
>> >>>> Thanks in advance.
>
>> >>>>
>
>> >>>>
>
>> >>>> ---------------------------------------------------------------------
>
>> >>>> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
>
>> >>>> For additional commands, e-mail: users-help@tomcat.apache.org
>
>> >>>>
>
>> >>>>
>
>> >>>
>
>> >>>
>
>> >>>
>
>> >>> ---------------------------------------------------------------------
>
>> >>> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
>
>> >>> For additional commands, e-mail: users-help@tomcat.apache.org
>
>> >>
>
>> >>
>
>> >> ---------------------------------------------------------------------
>
>> >> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
>
>> >> For additional commands, e-mail: users-help@tomcat.apache.org
>
>> >>
>
>> >>
>
>> >>
>
>> >>
>
>> >> ---------------------------------------------------------------------
>
>> >> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
>
>> >> For additional commands, e-mail: users-help@tomcat.apache.org
>
>> >
>
>> >
>
>> > ---------------------------------------------------------------------
>
>> > To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
>
>> > For additional commands, e-mail: users-help@tomcat.apache.org
>
>> >
>
>>
>
>>
>
>> ---------------------------------------------------------------------
>
>> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
>
>> For additional commands, e-mail: users-help@tomcat.apache.org
>
>
Mime
View raw message